UCS Upgrade 4.01 - Mysql-Server-5.5 error code (1)

german

#1

Halo,
Upgrading 64 bits UCS from 4.0 to 4.0-1 the system stops at the following error taken from updater.log.

=====
Processing triggers for install-info …
Errors were encountered while processing:
/var/cache/apt/archives/mysql-server-5.5_5.5.40-0.14.201502051002_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Error: Failed to execute “apt-get -o DPkg::Options::=–force-confold -o DPkg::Options::=–force-overwrite -o DPkg::Options::=–force-overwrite-dir --trivial-only=no --assume-yes --quiet=1 -u dist-upgrade”
exitcode of univention-updater: 1
ERROR: update failed. Please check /var/log/univention/updater.log

=========

          After the process breaks;   I am running   "apt-get -f install"  to fix any broken packages that might be around.  This process finish fine but when trying to upgrade system still breaks with the same error described above.

Rolando Riley


#2

Halo,
Alright to go straight to the problem peformed the following command

==================
univention-install mysql-server-5.5
:
:
Reading package lists…
Reading package lists…
Building dependency tree…
Reading state information…
Suggested packages:
tinyca
The following packages will be upgraded:
mysql-server-5.5
1 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
38 not fully installed or removed.
Need to get 2,089 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 updates.software-univention.de/4 … component/ 4.0-0-errata/amd64/ mysql-server-5.5 5.5.40-0.14.201502051002 [2,089 kB]
Preconfiguring packages …
Fetched 2,089 kB in 10s (206 kB/s)
(Reading database … 164372 files and directories currently installed.)
Preparing to replace mysql-server-5.5 5.5.40-0.11.201411010605 (using …/mysql-server-5.5_5.5.40-0.14.201502051002_amd64.deb) . …
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action “stop” failed.
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead …
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action “stop” failed.
dpkg: error processing /var/cache/apt/archives/mysql-server-5.5_5.5.40-0.14.201502051002_amd64.deb (–unpack):
subprocess new pre-removal script returned error exit status 1
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action “stop” failed.
[ ok ] Starting MySQL database server: mysqld already running.
Errors were encountered while processing:
/var/cache/apt/archives/mysql-server-5.5_5.5.40-0.14.201502051002_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Rolando Riley


#3

SOLVED!. Server couldn’t kill the procees by itself .

#killall mysqld and running #univention-install mysql-server-5.5 again

after that univention-upgrade

unning 98univention-samba4-dns.inst skipped (already executed)


  • THE UPDATE HAS BEEN FINISHED SUCCESSFULLY. *
  • Please make a page reload of UMC and login again *

Rolando Riley